.\"	$NetBSD: umount.8,v 1.14 2005/12/30 10:29:56 mjl Exp $
.\"
.\" Copyright (c) 1980, 1989, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)umount.8	8.2 (Berkeley) 5/8/95
.\"
.Dd May 17, 2009
.Dt UMOUNT 8
.Os
.Sh NAME
.Nm umount
.Nd unmount filesystems
.Sh SYNOPSIS
.Nm
.Op Fl fvFR
.Op Fl t Ar fstypelist
.Ar special | node
.Nm
.Fl a
.Op Fl fvF
.Op Fl h Ar host
.Op Fl t Ar fstypelist
.Sh DESCRIPTION
The
.Nm
command
calls the
.Xr unmount 2
system call to remove a
.Ar "special device"
or the remote node (rhost:path) from the filesystem tree at the point
.Ar node .
If either
.Ar special
or
.Ar node
are not provided, the appropriate information is taken from the
.Xr fstab 5
file.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl a
All the currently mounted filesystems except the root are unmounted.
.It Fl f
The filesystem is forcibly unmounted.
Active special devices continue to work,
but all other files return errors if further accesses are attempted.
The root filesystem cannot be forcibly unmounted.
.It Fl F
Fake the unmount; perform all other processing but do not actually
attempt the unmount.
(This is most useful in conjunction with
.Fl v ,
to see what
.Nm
would attempt to do).
.It Fl R
Take the
.Ar special | node
argument as a path to be passed directly to
.Xr unmount 2 ,
bypassing all attempts to be smart about mechanically determining the
correct path from the argument.
This option is incompatible with any option that potentially unmounts
more than one filesystem, such as
.Fl a ,
but it can be used with
.Fl f
and/or
.Fl v .
This is the only way to unmount something that does not appear as a
directory (such as a nullfs mount of a plain file); there are probably
other cases where it is necessary.
.It Fl h Ar host
Only filesystems mounted from the specified host will be
unmounted.
This option is implies the
.Fl a
option and, unless otherwise specified with the
.Fl t
option, will only unmount NFS filesystems.
.It Fl t Ar fstypelist
Is used to indicate the actions should only be taken on
filesystems of the specified type.
More than one type may be specified in a comma separated list.
The list of filesystem types can be prefixed with
.Dq no
to specify the filesystem types for which action should
.Em not
be taken.
For example, the
.Nm
command:
.Bd -literal -offset indent
umount -a -t nfs,mfs
.Ed
.Pp
unmounts all filesystems of the type
.Tn NFS
and
.Tn MFS ,
whereas the
.Nm
command:
.Bd -literal -offset indent
umount -a -t nonfs,mfs
.Ed
.Pp
unmounts all file systems except those of type
.Tn NFS
and
.Tn MFS .
.It Fl v
Verbose, additional information is printed out as each filesystem
is unmounted.
.El
.Sh FILES
.Bl -tag -width /etc/fstab -compact
.It Pa /etc/fstab
filesystem table
.El
.Sh SEE ALSO
.Xr unmount 2 ,
.Xr fstab 5 ,
.Xr mount 8
.Sh HISTORY
A
.Nm
command appeared in
.At v6 .
